deleteCloudMysqlUserList

Prev Next

Available in VPC

Delete a DB user of a Cloud DB for MySQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmysql/v2/deleteCloudMysqlUserList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL instance to delete DB users from.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudMysqlInstanceNo String Required Cloud DB for MySQL instance number
cloudMysqlUserList.N.name List[String] Required List of DB user account IDs to be deleted
  • Enter between 3 and 16 characters using a combination of English letters, numbers, and special characters "-" and "_".
  • It must start with an English letter.
  • Example: cloudMysqlUserList.1.name=test_read&cloudMysqlUserList.2.name=test_ddl
cloudMysqlUserList.N.hostIp List[String] Required List of IP addresses to access MySQL Server
  • IP address application method.
    • Allow access to all: %
    • Allow access to specific IPs (e.g., 1.1.1.1).
    • Allow access to an IP range (e.g., 1.1.1.%).
    • When using the GET method, % must be URL-encoded as %25.
  • Example: cloudMysqlUserList.1.hostIp=%&cloudMysqlUserList.2.hostIp=1.1.1.1
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/deleteCloudMysqlUserList
?regionCode=KR
&cloudMysqlInstanceNo=****890
&cloudMysqlUserList.1.name=testuser
&cloudMysqlUserList.1.hostIp=%'
&cloudMysqlServerInstanceNo=****048' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "deleteCloudMysqlUserListResponse": {
        "requestId": "8b907397-****-****-****-92f0e59cc77f",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<deleteCloudMysqlUserListResponse>
    <requestId>8b907397-****-****-****-92f0e59cc77f</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</deleteCloudMysqlUserListResponse>